# Device & Filesystem Initialization & Monitor

`dfim` is a GPL3+ daemon to  autocreate and monitor drive partitions and filesystem.

The daemon will notify you on problems, so you can swap drives when necessary.
It will also track the physical path where a drive is attached,
to be able to recreate partitions and filesystems automatically in a consistent way

## Why?

As a system administrator, every time you build a server, lots of steps remain
manual. Drive partitioning and filesystem creation remain one such thing.

Even when using RAIDs, you have to initialize the partitions when chaing drives

Wouldn't it be better to just swap drives, and everything works automagically?

Don't you want to be notified on drive failure, S.M.A.R.T. warnings, filesystem
errors?

## Status

The project has just started.

* GPT partitioning (load and write) works(tested)
* Script should work (**not** tested)
* Monitoring for new devices is implemented, but we have no status change
  reporting yet

No other modules have been written yet

## Configuration

The configuration format is in **Rusty Object Notation**, which is really easy to
handle in rust and lets you have typesafety even in the configuration.


We have one small main configuration file, you can find a fully commented
example here [dfim.ron](dfim.ron)

The configuration file lets you define a directory, and we will import all
**.ron** files from there  
In these second imports you can specify the **devices** you want to monitor and
the **targets** to apply on those devices  
You can find a fully commented example on [drive.ron](drive.ron)
